Subject: Re: [PATCH net-next v4 1/2] net: hsr: require valid EOT supervision TLV

From: Felix Maurer <[email-masked]>
Date: Tue, 7 Apr 2026 20:10:04 +0200

On Thu, Apr 02, 2026 at 08:34:47AM +0200, Luka Gejak wrote:
> On April 2, 2026 1:30:57 AM GMT+02:00, Fernando Fernandez Mancera <[email-masked]> wrote:
> >On 4/1/26 7:05 PM, Luka Gejak wrote:
> >> On Wed Apr 1, 2026 at 11:52 AM CEST, Fernando Fernandez Mancera wrote:
> >>> On 4/1/26 11:23 AM, [email-masked] wrote:
> >>>> From: Luka Gejak <[email-masked]>
> >>>>
> >>>> Supervision frames are only valid if terminated with a zero-length EOT
> >>>> TLV. The current check fails to reject non-EOT entries as the terminal
> >>>> TLV, potentially allowing malformed supervision traffic.
> >>>>
> >>>> Fix this by strictly requiring the terminal TLV to be HSR_TLV_EOT
> >>>> with a length of zero.
> >>>>
> >>>> Reviewed-by: Felix Maurer <[email-masked]>
> >>>> Signed-off-by: Luka Gejak <[email-masked]>
> >>>> ---
> >>>
> >>> Hi,
> >>>
> >>> This has not been reviewed by Felix. Felix provided his Reviewed-by tag
> >>> for the v1 which was completely different than this.
> >>>
> >>> Revisions of this patch:
> >>>
> >>> v3: https://lore.kernel.org/all/[email-masked]/
> >>>
> >>> v2: https://lore.kernel.org/all/[email-masked]/
> >>>
> >>> v1:
> >>> https://lore.kernel.org/all/[email-masked]/
> >>>
> >>> Are these contributions LLM/AI generated? I believe so based on the
> >>> email history.
> >>>
> >>> AI generated review on rtl8723bs:
> >>> https://lore.kernel.org/all/[email-masked]/
> >>>
> >>> Another AI generated review on rtl8723bs:
> >>> https://lore.kernel.org/all/[email-masked]/
> >>>
> >>> Likely an AI generated review on a 1 year old HSR patch:
> >>> https://lore.kernel.org/all/[email-masked]/
> >>>
> >>> If these are indeed, AI generated contributions or reviews they should
> >>> be disclosed beforehand. Also there is the Assisted-by: tag. Also note
> >>> that developer must take full responsibility for the contribution which
> >>> means understanding it completely.
> >>>
> >>> https://docs.kernel.org/process/coding-assistants.html#signed-off-by-and-developer-certificate-of-origin
> >>>
> >>> Thanks,
> >>> Fernando.
> >>
> >> HI Fernando,
> >> One more question, should I include Assisted-by tag in v5 if AI was not
> >> used for writing code but only for formating and translation of the
> >> emails to English as I previously mentioned.
> >>
> >
> >I think yes, you should. I also think that AI was actually used for the generated code and also for spotting the valid and invalid issues. If you don't have a real environment for HSR, why would you look into it?
> >
> >Sorry, it is not my intention to be harsh but there are some things that don't add up for me. Maybe I am being too careful here and you just coincidentally found these problems.
> >
> >> Best regards,
> >> Luka Gejak
> >>
> >
>
> Hi Fernando,
> I understand the concern. To clarify, I am a student, and I discovered
> these issues while reading the HSR source to learn about network
> redundancy. Since I lack industrial hardware, I verified the logic
> using network namespaces and veth pairs on my Arch laptop. The code
> and logic are entirely my. As previously mentioned, I only use AI for
> English translation and formatting to ensure my communication is
> clear.

Hi Luka,

I honestly appreciate that you are learning about networking
technologies and the kernel and that you are posting patches to improve
the kernel!

I do, however, share some of Fernando's concerns. I especially doubt
that AI tools were not used for the code here. This isn't forbidden or
even a problem in and of itself, but we'd like to have proper disclosure
of the fact and attribution of the tool, as the policy linked to by
Fernando states.

Let me add a few words for why I (personally) think this is important.
When you submit patches to the mailing lists, there are real humans
taking real time to review the changes. The reviews are much more easy
if the reviewers have all the relevant context available to them. The
information that the code was developed with assistance of an AI tool is
relevant because reviewers pay attention to different types of issues
depending on whether AI wrote the code or a human wrote the code, simply
because they make different mistakes. Additionally, by not disclosing AI
tool usage, you add one more step to a review (determining if the code
is AI generated) which takes away capacity from the review itself.

With that said: I don't want to express blame here for anyone. It's just
a reminder to be helpful and considerate towards the community and the
reviewers, so they can be helpful to you with your submissions.

Thanks,
   Felix